Subject: bug#7533: 24.0.50; `dired-mark-pop-up': delete frame afterwards if `pop-up-frames'

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 Dec 2010 15:27:09 -0500

> Here I have two things: A window parameter that tells for each window
> whether the current buffer is the first buffer shown in it and a
> separate global variable which gives some rudimentary information about
> what the last `display-buffer' invocation did to find a suitable window.

Indeed.  We currently have display-buffer-mark-dedicated which goes in
this direction, but uses dedicatedness, which is not always
desired, apparently.

I think that adding a "buffer for which this window was created" window
parameter and always set it in display-buffer (regardless of
display-buffer-mark-dedicated) should allow correct handling of
such situations.

        Stefan